-- 基础信息
base_info = {
	group_id = 133315174
}

-- DEFS_MISCS
defs =
{
    maxRegion = 174011,
    maxJumpTimes = 5,
    mushroomList = {
        [1] = {174001,174002,174003,174005,174006,174010},
        [2] = {174015,174016,174017,174018,174019,174020,174021,174022,174023},
        [3] = {174024,174025,174026,174027},
    },
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	-- 组1
	[174001] = { config_id = 174001, gadget_id = 70310488, pos = { x = -1381.834, y = 223.812, z = 3041.608 }, rot = { x = 0.000, y = 9.621, z = 0.000 }, level = 30, area_id = 21 },
	-- 组1
	[174002] = { config_id = 174002, gadget_id = 70310488, pos = { x = -1377.705, y = 223.684, z = 3034.517 }, rot = { x = 0.000, y = 276.781, z = 0.000 }, level = 30, area_id = 21 },
	-- 组1
	[174003] = { config_id = 174003, gadget_id = 70310488, pos = { x = -1375.150, y = 223.384, z = 3035.040 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 30, area_id = 21 },
	-- 组1
	[174005] = { config_id = 174005, gadget_id = 70310488, pos = { x = -1368.560, y = 222.992, z = 3034.547 }, rot = { x = 0.000, y = 359.326, z = 0.000 }, level = 30, area_id = 21 },
	-- 组1
	[174006] = { config_id = 174006, gadget_id = 70310488, pos = { x = -1366.750, y = 222.763, z = 3036.509 }, rot = { x = 0.000, y = 231.749, z = 0.000 }, level = 30, area_id = 21 },
	-- 组1
	[174010] = { config_id = 174010, gadget_id = 70310488, pos = { x = -1368.851, y = 222.555, z = 3046.458 }, rot = { x = 0.000, y = 284.305, z = 0.000 }, level = 30, area_id = 21 },
	-- 组2
	[174015] = { config_id = 174015, gadget_id = 70310488, pos = { x = -1373.437, y = 223.495, z = 3030.167 }, rot = { x = 0.000, y = 200.494, z = 0.000 }, level = 1, area_id = 21 },
	-- 组2
	[174016] = { config_id = 174016, gadget_id = 70310488, pos = { x = -1373.251, y = 223.469, z = 3032.769 }, rot = { x = 0.000, y = 141.341, z = 0.000 }, level = 1, area_id = 21 },
	-- 组2
	[174017] = { config_id = 174017, gadget_id = 70310488, pos = { x = -1371.002, y = 223.295, z = 3030.994 }, rot = { x = 0.000, y = 56.609, z = 0.000 }, level = 1, area_id = 21 },
	-- 组2
	[174018] = { config_id = 174018, gadget_id = 70310488, pos = { x = -1371.000, y = 221.615, z = 3050.768 }, rot = { x = 0.000, y = 223.188, z = 0.000 }, level = 1, area_id = 21 },
	-- 组2
	[174019] = { config_id = 174019, gadget_id = 70310488, pos = { x = -1368.516, y = 221.670, z = 3050.253 }, rot = { x = 0.000, y = 223.531, z = 0.000 }, level = 1, area_id = 21 },
	-- 组2
	[174020] = { config_id = 174020, gadget_id = 70310488, pos = { x = -1375.756, y = 222.939, z = 3044.885 }, rot = { x = 0.000, y = 248.867, z = 0.000 }, level = 1, area_id = 21 },
	-- 组2
	[174021] = { config_id = 174021, gadget_id = 70310488, pos = { x = -1378.264, y = 223.224, z = 3045.333 }, rot = { x = 0.000, y = 229.290, z = 0.000 }, level = 1, area_id = 21 },
	-- 组2
	[174022] = { config_id = 174022, gadget_id = 70310488, pos = { x = -1364.818, y = 222.548, z = 3040.521 }, rot = { x = 0.000, y = 337.305, z = 0.000 }, level = 1, area_id = 21 },
	-- 组2
	[174023] = { config_id = 174023, gadget_id = 70310488, pos = { x = -1379.853, y = 223.615, z = 3038.323 }, rot = { x = 0.000, y = 271.799, z = 0.000 }, level = 1, area_id = 21 },
	-- 组3
	[174024] = { config_id = 174024, gadget_id = 70310488, pos = { x = -1370.166, y = 222.908, z = 3037.788 }, rot = { x = 0.000, y = 225.193, z = 0.000 }, level = 1, area_id = 21 },
	-- 组3
	[174025] = { config_id = 174025, gadget_id = 70310488, pos = { x = -1372.503, y = 222.451, z = 3046.948 }, rot = { x = 0.000, y = 249.620, z = 0.000 }, level = 1, area_id = 21 },
	-- 组3
	[174026] = { config_id = 174026, gadget_id = 70310488, pos = { x = -1374.896, y = 223.140, z = 3040.491 }, rot = { x = 0.000, y = 145.991, z = 0.000 }, level = 1, area_id = 21 },
	-- 组3
	[174027] = { config_id = 174027, gadget_id = 70310488, pos = { x = -1372.258, y = 222.963, z = 3041.128 }, rot = { x = 0.000, y = 182.617, z = 0.000 }, level = 1, area_id = 21 }
}

-- 区域
regions = {
	[174011] = { config_id = 174011, shape = RegionShape.SPHERE, radius = 50, pos = { x = -1368.993, y = 222.857, z = 3042.595 }, area_id = 21 }
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

-- 废弃数据
garbages = {
	gadgets = {
		{ config_id = 174012, gadget_id = 70310488, pos = { x = -1373.980, y = 223.077, z = 3040.629 }, rot = { x = 0.000, y = 167.987, z = 0.000 }, level = 1, area_id = 21 },
		{ config_id = 174013, gadget_id = 70310488, pos = { x = -1373.357, y = 222.937, z = 3042.748 }, rot = { x = 0.000, y = 220.425, z = 0.000 }, level = 1, area_id = 21 },
		{ config_id = 174014, gadget_id = 70310488, pos = { x = -1371.838, y = 222.937, z = 3041.214 }, rot = { x = 0.000, y = 340.922, z = 0.000 }, level = 1, area_id = 21 }
	}
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 174011 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_0/ContinuousTrampoline"
